DS_F_DIM_IN_ARRAY(3)

FUNCTION
ds_f_dim_in_array - Find dimension in array.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_f_dim_in_array

(CONST array_desc *arr_desc, CONST char *name)

DESCRIPTION
Find dimension in array.

arr_desc
    The array descriptor.

name
    The name of the dimension to find. If this is NULL, then the routine will not find anything.

RETURN VALUE
The number of the dimension in the array if it was found, else the number of dimensions in the array.

Multi-threading Level
Unsafe.

NOTE
If the specified name occurs twice, the program aborts.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/